Name:           cdiff
Version:        1.4
Release:        4
Epoch:          0
Summary:        Diff readability enhancer for color terminals

Group:          Applications/Text
License:        BSD
URL:            http://www.freshports.org/textproc/cdiff/
Source0:        ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/i386/packages-stable/All/cdiff-1.4.tgz
Patch0:         %{name}-fetch-bzip2.patch
Patch1:         %{name}-utf8.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       perl >= 1:5.6.0, less, gzip, bzip2

%description
cdiff is a readability enhancer for context and unified diffs on color
terminals.  It uses less(1) as a backend.


%prep
%setup -q -c
gunzip man/man1/cdiff.1.gz
%patch0 -p1
%patch1 -p0
mv \+DESC README


%build
# Not.


%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 0755 bin/cdiff $RPM_BUILD_ROOT%{_bindir}/cdiff
install -D -p -m 0644 man/man1/cdiff.1 $RPM_BUILD_ROOT%{_mandir}/man1/cdiff.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Tue Oct  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4-0.fdr.4
- Avoid UTF-8 warnings.

* Fri Oct  3 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4-0.fdr.3
- Add bzip2 support, require bzip2.

* Mon Jul 28 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4-0.fdr.2
- Fix summary and description, require gzip (bug 463).

* Mon Jul 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4-0.fdr.1
- First build.
